package com.engine.recruit.entity.card.process;

import org.apache.commons.lang3.StringUtils;

/**
 * @author:dxfeng
 * @createTime: 2024/08/07
 * @version: 1.0
 */
public class SalaryProcess {
    public static final String ICON_NAME = "salray.png";
    public static final String TITLE = "最近薪酬谈判";

    private String tpsj;
    private String tpjg;

    public String getTpsj() {
        return tpsj;
    }

    public void setTpsj(String tpsj) {
        this.tpsj = tpsj;
    }

    public String getTpjg() {
        if ("0".equals(tpjg)) {
            return "成功";
        } else if ("1".equals(tpjg)) {
            return "失败";
        }
        return "待定";
    }

    public void setTpjg(String tpjg) {
        this.tpjg = tpjg;
    }

    @Override
    public String toString() {
        if (StringUtils.isBlank(tpjg)) {
            return "暂无薪酬谈判结果";
        } else {
            return getTpsj() + " " + getTpjg();
        }
    }
}
